Monday, 22 September 2008

More Update Rollup Fun

More update rollup fun today, but this time it has nothing to do with ForeFront.

Today I've been performing a Standby Continuous Replication (SCR) failover test for a customer. Basically this customer has both CCR and SCR and wanted to prove that the SCR copy is in good working order. I got to the point where I was running setup.com /recoverCMS on the SCR server when I received the following error:

"You must perform disaster recovery using the same version of Exchange as the last installed version. The current installed version is 8.1.278.2; the last installed version is 8.1.240.6."

This puzzled me somewhat as I was running setup.com from the Exchange 2007 SP1 source files which was the version installed on both the CCR and SCR systems. After a bit of research I discovered that Update Rollup 2 for Exchange 2007 has a version of 8.1.278.2, which is what this customer was running. Further research revealed that the error was actually a known bug with Update Rollup 2 for Exchange 2007 SP1. The solution can be found on this thread. Remove the update rollup before running setup.com /recoverCMS, then re-apply the update rollup before mounting the databases.

I can confirm that this worked! The joys of disaster recovery...

No comments: